﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XDGPreGroupCollectionViewCase
{
    public class ViewModel
    {
        public ListCollectionView Data { get; set; }

        string[] names = "Andrew;Alex;Jen;Steve;Eric;Tom;Kate;Liz;Lisa".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            List<SampleData> _data = new List<SampleData>();

            for(int i=0; i<100; i++)
            {
                _data.Add(new SampleData() { ID = i, Name = names[r.Next(names.Length)], Number = r.Next(1000), TrueFalse = r.Next(10) % 2 == 0 });
                Data = new ListCollectionView(_data);
            }

            Data.GroupDescriptions.Add(new PropertyGroupDescription("Name"));
            Data.GroupDescriptions.Add(new PropertyGroupDescription("TrueFalse"));

        }
    }
    
    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number { get; set; }
        public bool TrueFalse { get; set; }
    }
}
